Subject: Re: CCL:religious debate

From: [email-masked] (Edward Wolpert)
Date: Thu, 10 Feb 94 21:09:17 EST

Heather asked the question: "Is C code good for group projects?" (Basically)

The answer is: Maybe.
	Much of what is written for computers currently is in C or C++.  
Yet banks still use Cobol, and Fortran is popular with chemistist.  
To be honest, those aren't that readable... you have to train yourself
to understand what is going on.  In C, you can write some really bone-head
statements.  C++ restricts you somewhat, but if you wanted, you stil can
write unreadable code.  
	In a good programming group, the programmers would try to write
easy to read code, no matter what the lang.  C has alot of good points, but
the most important for comp chem is the ability to increase the speed of the
program manually.  IMHO, it's hard to really optimize fortran code, and
the compilers out there can't do it as well as someone can opt C code.
If someone wanted to try to re-write HONDO in C, I believe it would run
faster.
	Now the real question: Who wants to try that?
This debate will not end until someone does just that. Period. When you can
compare real applications that are as intensive as HONDO, then well have
facts about the best programming lang, not just emotions.  Of course, then
we could always try APL for HONDO, perhaps that's faster?  Nahhh...
		Virtually,
		Edward Wolpert

---------------------------
[email-masked]            | System Administrator
[email-masked]  | Systems Programmer
[email-masked]	   | Graduate Chemistry Student
---------------------------
I'm  sorry, but Godot isn't here today. Perhaps if you came back tomorrow...